Create New Ad Group
Note:
- This API supports batch operations with a max batch size of 10. For bulk operation, the advertiserId must be the same across all requests in the payload
- Creating multiple ad groups with different targeting types is supported in Bulk. For example: A single bulk payload can include one ad group Create request with keyword targeting and another ad group create request with contextual targeting
- You must set all of:
budgetType,dailyBudget,totalBudget,startDate,endDate, anddeliverySpeedparameters at same level i.e. either atcampaignlevel orad group level - Supports both expression-based and flattened targeting structure. Only one of expression based or flattened structure should be used in a request. More details here
Request Body
Core Parameters
| Parameter | Description | Required | Data Type | Possible Values / Notes |
|---|---|---|---|---|
| advertiserId | ID of the advertiser for whom the ad group(s) should be created. | Y | Integer | A valid advertiser ID
|
| campaignId | ID of the campaign this ad group belongs to. | Y | Integer | A valid campaign ID |
| name | Name of the ad group. Maximum length: 255 characters. | Y | String | Valid name of the ad group |
| startDate | Date on which the ad group is set to go live. | Conditional | String |
|
| endDate | Date when the ad group ends. | Conditional | String |
|
| rateType | Pricing structure for the ad group. | N | String | cpm |
| budgetType | Type of budget allocation. | Conditional | String |
|
| dailyBudget | Daily budget of the ad group. | Conditional | Double |
|
| totalBudget | Total budget of the ad group. | Conditional | Double |
|
| deliverySpeed | Determines pacing of ad delivery. | Conditional | String |
|
| creativeRotationMode | Rotation strategy for creatives during delivery. | N | String |
|
| frequencyCapDay | Max impressions per user per day. | N | Integer | Valid range: 1–511 |
| frequencyCapWeek | Max impressions per user per week. | N | Integer | Valid range: 3–511 |
| frequencyCapMonth | Max impressions per user per month. | N | Integer | Valid range: 5–511 |
| maxBid | Maximum bid for the ad group. | N | Double | Minimum value: $0.01 |
| outOfStockProtection | To optIn/optOut of out of stock protection at an AdGroup level | N | boolean | Allowed values: true/false Default value: true |
| targeting | JSON object that defines the targeting criteria for an ad group. The targeting tactic can be any one of keywords, contextual, behavioral, or runOfSite. geoTargets can be combined with any targeting tactic. Note: You must choose one structure; mixing flat and expression-based schemas in a single payload is not supported. | N | JSON object | Contains targeting parameters, see Targeting Object section below for more details. |
Targeting Object
The targeting object can either be replaced fully or can be incrementally updated using add and remove arrays.
For Ad Groups with Keywords and Negative Keywords Targeting
| Parameter | Description | Type | Required | Possible Values |
|---|---|---|---|---|
| keywordText | Text that defines the keyword | string | Y | Advertiser ID for which the campaign needs to be updated for delivery status |
| matchType | Matching criteria for the keywords | string | Y | broad, exact For negative keywords only exact matchType is allowed |
For Ad Groups with Contextual Targeting
| Parameter | Description | Type | Required | Possible Values |
|---|---|---|---|---|
| id | ID of the contextual node
| integer | Y | |
| reach | Determines contextual reach. This is how tiers in API call map to the representation on ad center UI: Tier mapping:
| string | Y |
|
For Ad Groups with Behavioral Targeting
| Parameter | Description | Type | Required | Possible Values |
|---|---|---|---|---|
| id | ID of the audience
| integer | Y | |
| audienceType | Type of audience | string | Y |
|
| attribute | Attribute of the audience | string | Y |
|
For Ad Groups with ROS Targeting
| Parameter | Description | Type | Required | Possible Values |
|---|---|---|---|---|
| runOfSite | Indicates whether run‑of‑site targeting is enabled | boolean | Y |
|
Geo targeting
Can be set to one of:
- Country
- State,City
- DMA
- Zip code
If omitted will be default set to country (US). You cannot combine different geo-targeting types within a single ad group
| Parameter | Description | Type | Required | Possible Values |
|---|---|---|---|---|
| id | is used for Country, State, City, or DMA targets
| integer | Y | |
| zipCode | is used for zip code targeting. We only support ZIP codes within the USA currently | string | Y |
- startDate >= today’s date
- startDate <= endDate
- total and daily budget should be >= max bid
- You can only set either dailyBudget or totalBudget.
- To set daily budget, you must choose value of budgetType as “daily” and then define dailyBudget.
- To set total budget, you must choose value of budgetType as “total” and then define totalBudget.
- Budget, Schedule and Delivery speed must be set either at campaign or ad group level.
- You must set all of budgetType, dailyBudget, totalBudget, startDate, endDate, and deliverySpeed parameters at same level i.e. either at campaign level or ad group level, not both.
- IDs with isDisabled = true from POST /api/v2/targeting/list cannot be used for targeting.
- Campaigns must be homogeneous: if mediaType is VIDEO, all ad groups will be VIDEO; if mediaType is BANNER, all ad groups will be BANNER. Mixing VIDEO and BANNER ad groups within the same campaign is not allowed.
- mediaType, if included in the request payload, is ignored and has no effect on processing.
- Ad groups created to run definitely can be updated later to include an end date.
- outOfStockProtection enforcement works only with Item Page/PDP, Brand Shelf, or Brand Shop landing pages; unsupported pages serve normally.
- Only one of keywords, contextual, behavioral, or runOfSite is allowed.
- geoTargets can be combined via an AND relation with that tactic.
- All targeting combinations must use the and array format, as shown in the sample requests.
- For geo targeting (Refer to the sample requests for creating an Ad Group with ROS to see how zip codes are used in geo-targeting):
- In an ad group, geo targeting can be set to one of:
- Country
- State, City
- DMA
- Zip code
- You cannot combine different geo-targeting types within a single ad group
- If geo targeting is not specified, the default Country (US) level targeting will be applied
- In an ad group, geo targeting can be set to one of:
- When setting up targeting for Video Ad Groups, the following restrictions apply:
- Keywords targeting is not supported for ad groups in campaigns with mediaType = VIDEO.
- Ad groups with runOfSite targeting will not serve on Item Page placement.
- Ad groups with contextual targeting will not serve on Homepage Feature_4
Headers
| Header Name | Description | Required | Values |
|---|---|---|---|
Authorization | The token will provide you the access to the API. It is same for all advertisers you access through the API. | Y | Please utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide |
Content-Type | Format of the message body | Y | application/json |
WM_CONSUMER.ID | Unique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API. | Y | Please use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information |
WM_SEC.AUTH_SIGNATURE | Auth signature as an API key. | Y | Use the signature generator code from Getting Started Guide to generate this value |
WM_SEC.KEY_VERSION | Key version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API. | Y | 1 |
WM_CONSUMER.intimestamp | Timestamp for which the auth signature is generated. Use Unix epoch format for the timestamp. | Y | Use the signature generator code from Getting Started Guide to generate this value |
Sample Request: Create Ad Group with Keyword Targeting (using Expression Targeting Structure)
curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/adGroups' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: ************' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '[ { "campaignId": 1, "advertiserId": 1, "name": "Ad group 1", "startDate": "2023-12-01T12:00:00Z", "endDate": "2023-12-09T12:00:00Z", "rateType": "cpm", "budgetType": "daily", "dailyBudget": 500, "deliverySpeed": "evenly", "creativeRotationMode": "OPTIMIZE_PERFORMANCE", "frequencyCapDay": 1, "frequencyCapWeek": 3, "frequencyCapMonth": 5, "maxBid": 0.5, "outOfStockProtection": true, "targeting": { "and": [ { "and": [ { "keywords": [ { "keywordText": "test-keyword-1", "matchType": "broad" }, { "keywordText": "test-keyword-2", "matchType": "broad" } ] }, { "not": [ { "keywords": [ { "keywordText": "test-keyword-3", "matchType": "exact" } ] } ] } ] }, { "geoTargets": [ { "id": 123 }, { "id": 234 }, { "id": 235 } ] } ] } } ]'Sample Request - Create Ad Group with Keyword Targeting (using Flattened Targeting Structure)
curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/adGroups' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: ************' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '[ { "campaignId": 1, "advertiserId": 1, "name": "Ad group 1", "startDate": "2023-12-01T12:00:00Z", "endDate": "2023-12-09T12:00:00Z", "rateType": "cpm", "budgetType": "daily", "dailyBudget": 500, "deliverySpeed": "evenly", "creativeRotationMode": "OPTIMIZE_PERFORMANCE", "frequencyCapDay": 1, "frequencyCapWeek": 3, "frequencyCapMonth": 5, "maxBid": 0.5, "outOfStockProtection": false, "targeting": { "keywords": { "include": [ { "matchType": "BROAD", "keywordText": "running shoes" }, { "matchType": "PHRASE", "keywordText": "trail sneakers" } ], "exclude": [ { "matchType": "EXACT", "keywordText": "free shoes" }, { "matchType": "EXACT", "keywordText": "cheap shoes" } ] }, "geoTargets": { "include": [ { "id": 123 }, { "id": 234 } ] } } } ]'Sample Request: Create Ad Group with Contextual Targeting (using Expression Targeting Structure)
curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/adGroups' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: ************' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '[ { "campaignId": 1, "advertiserId": 1, "name": "Ad group 1", "startDate": "2023-12-01T12:00:00Z", "endDate": "2023-12-09T12:00:00Z", "rateType": "cpm", "budgetType": "daily", "dailyBudget": 500, "deliverySpeed": "evenly", "creativeRotationMode": "OPTIMIZE_PERFORMANCE", "frequencyCapDay": 1, "frequencyCapWeek": 3, "frequencyCapMonth": 5, "maxBid": 0.5, "outOfStockProtection": true, "targeting" : { "and": [ { "contextual": [ { "id": 3452, "reach": "tier_2" }, { "id": 2343, "reach": "tier_3" } ] }, { "geoTargets": [ { "id": 123 }, { "id": 234 }, { "id": 235 } ] } ] } }
]'Sample Request: Create Ad Group with Contextual Targeting (using Flattened Targeting Structure)
curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/adGroups' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: ************' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '[ { "campaignId": 1, "advertiserId": 1, "name": "Ad group 1", "startDate": "2023-12-01T12:00:00Z", "endDate": "2023-12-09T12:00:00Z", "rateType": "cpm", "budgetType": "daily", "dailyBudget": 500, "deliverySpeed": "evenly", "creativeRotationMode": "OPTIMIZE_PERFORMANCE", "frequencyCapDay": 1, "frequencyCapWeek": 3, "frequencyCapMonth": 5, "outOfStockProtection": false, "maxBid": 0.5, "targeting": { "contextual": { "include": [ { "id": 3452, "reach": "tier_2" }, { "id": 3453, "reach": "tier_1" } ] }, "geoTargets": { "include": [ { "id": 123 }, { "id": 234 } ] } } }
]'Sample Request: Create Ad Group with Audience Targeting (using Expression Targeting Structure)
curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/adGroups' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: ************' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '[ { "campaignId": 1, "advertiserId": 1, "name": "Ad group 1", "startDate": "2023-12-01T12:00:00Z", "endDate": "2023-12-09T12:00:00Z", "rateType": "cpm", "budgetType": "total", "totalBudget": 5000, "deliverySpeed": "evenly", "creativeRotationMode": "OPTIMIZE_PERFORMANCE", "frequencyCapDay": 1, "frequencyCapWeek": 3, "frequencyCapMonth": 5, "outOfStockProtection": true, "maxBid": 0.5, "targeting": { "and": [ { "and": [ { "behavioral": [ { "audienceType": "retail", "attribute": "historical", "id": 134 }, { "audienceType": "retail", "attribute": "historical", "id": 243234 } ] }, { "not": [ { "behavioral": [ { "audienceType": "retail", "attribute": "historical", "id": 135 }, { "audienceType": "retail", "attribute": "historical", "id": 243235 } ] } ] }, { "geoTargets": [ { "id": 123 }, { "id": 234 }, { "id": 235 } ] } ] } ] } }
]'Sample Request: Create ad group with Audience Targeting (using Flattened Targeting Structure)
curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/adGroups' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: ************' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '[ { "campaignId": 1, "advertiserId": 1, "name": "Ad group 1", "startDate": "2023-12-01T12:00:00Z", "endDate": "2023-12-09T12:00:00Z", "rateType": "cpm", "budgetType": "total", "totalBudget": 5000, "deliverySpeed": "evenly", "creativeRotationMode": "OPTIMIZE_PERFORMANCE", "frequencyCapDay": 1, "frequencyCapWeek": 3, "frequencyCapMonth": 5, "outOfStockProtection": false, "maxBid": 0.5, "targeting": { "behavioral": { "include": [ { "audienceType": "retail", "attribute": "historical", "id": 134 }, { "audienceType": "retail", "attribute": "historical", "id": 234 } ], "exclude": [ { "audienceType": "retail", "attribute": "historical", "id": 123 }, { "audienceType": "retail", "attribute": "historical", "id": 111 } ] }, "geoTargets": { "include": [ { "id": 123 }, { "id": 234 } ] } } }
]'Sample Request: Create Ad Group with ROS Targeting (using Expression Targeting Structure)
curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/adGroups' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: ************' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '[ { "campaignId": 1, "advertiserId": 1, "name": "Ad group 1", "startDate": "2023-12-01T12:00:00Z", "endDate": "2023-12-09T12:00:00Z", "rateType": "cpm", "budgetType": "total", "totalBudget": 5000, "deliverySpeed": "evenly", "creativeRotationMode": "OPTIMIZE_PERFORMANCE", "frequencyCapDay": 1, "frequencyCapWeek": 3, "frequencyCapMonth": 5, "outOfStockProtection": true, "maxBid": 0.5, "targeting": { "and": [ { "runOfSite": true }, { "geoTargets": [ { "zipCode": "35004" } ] } ] } }
]'Sample Request: Create Ad Group with ROS Targeting (using Flattened Targeting Structure)
curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/adGroups' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: ************' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '[ { "campaignId": 1, "advertiserId": 1, "name": "Ad group 1", "startDate": "2023-12-01T12:00:00Z", "endDate": "2023-12-09T12:00:00Z", "rateType": "cpm", "budgetType": "total", "totalBudget": 5000, "deliverySpeed": "evenly", "creativeRotationMode": "OPTIMIZE_PERFORMANCE", "frequencyCapDay": 1, "frequencyCapWeek": 3, "frequencyCapMonth": 5, "outOfStockProtection": true, "maxBid": 0.5, "targeting": { "runOfSite": true, "geoTargets": { "include": [ { "zipCode": "35004" } ] } } }
]'Sample Request: Create Multiple Ad Groups in a Single Call (Expression Targeting Structure)
curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/adGroups' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: ************' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '[ { "campaignId": 1, "advertiserId": 1, "name": "Ad group 1", "startDate": "2023-12-01T12:00:00Z", "endDate": "2023-12-09T12:00:00Z", "rateType": "cpm", "budgetType": "daily", "dailyBudget": 500, "deliverySpeed": "evenly", "creativeRotationMode": "OPTIMIZE_PERFORMANCE", "frequencyCapDay": 1, "frequencyCapWeek": 3, "frequencyCapMonth": 5, "outOfStockProtection": false, "maxBid": 0.5, "targeting": { "and": [ { "and": [ { "keywords": [ { "keywordText": "test-keyword-1", "matchType": "broad" }, { "keywordText": "test-keyword-2", "matchType": "broad" } ] }, { "not": [ { "keywords": [ { "keywordText": "test-keyword-3", "matchType": "exact" } ] } ] } ] }, { "geoTargets": [ { "id": 123 }, { "id": 234 }, { "id": 235 } ] } ] } }, { "campaignId": 2, "advertiserId": 1, "name": "Ad group 2", "startDate": "2023-12-01T12:00:00Z", "endDate": "2023-12-09T12:00:00Z", "rateType": "cpm", "budgetType": "daily", "dailyBudget": 500, "deliverySpeed": "evenly", "creativeRotationMode": "OPTIMIZE_PERFORMANCE", "frequencyCapDay": 1, "frequencyCapWeek": 3, "frequencyCapMonth": 5, "maxBid": 0.5, "targeting": { "and": [ { "contextual": [ { "id": 3452, "reach": "tier_2" }, { "id": 2343, "reach": "tier_3" } ] }, { "geoTargets": [ { "zipCode": "35004" } ] } ] } }
]'Sample Request: Create Multiple Ad Groups in a Single Call (Flattened Targeting Structure)
curl --request POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/adGroups' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: ************' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '[ { "campaignId": 1, "advertiserId": 1, "name": "Ad group 1", "startDate": "2023-12-01T12:00:00Z", "endDate": "2023-12-09T12:00:00Z", "rateType": "cpm", "budgetType": "daily", "dailyBudget": 500, "deliverySpeed": "evenly", "creativeRotationMode": "OPTIMIZE_PERFORMANCE", "frequencyCapDay": 1, "frequencyCapWeek": 3, "frequencyCapMonth": 5, "outOfStockProtection": false, "maxBid": 0.5, "targeting": { "keywords": { "include": [ { "matchType": "BROAD", "keywordText": "running shoes" }, { "matchType": "PHRASE", "keywordText": "trail sneakers" } ], "exclude": [ { "matchType": "EXACT", "keywordText": "free shoes" }, { "matchType": "EXACT", "keywordText": "bad shoes" } ] }, "geoTargets": { "include": [ { "id": 123 }, { "id": 234 } ] } } }, { "campaignId": 2, "advertiserId": 1, "name": "Ad group 2", "startDate": "2023-12-01T12:00:00Z", "endDate": "2023-12-09T12:00:00Z", "rateType": "cpm", "budgetType": "daily", "dailyBudget": 500, "deliverySpeed": "evenly", "creativeRotationMode": "OPTIMIZE_PERFORMANCE", "frequencyCapDay": 1, "frequencyCapWeek": 3, "frequencyCapMonth": 5, "baseBid": 0.1, "maxBid": 0.5, "targeting": { "contextual": { "include": [ { "id": 3452, "reach": "tier_2" }, { "id": 3453, "reach": "tier_2" } ] }, "geoTargets": { "include": [ { "id": 123 }, { "id": 234 } ] } } }
]'Response
| Field | Description | Optional field/Nullable? | Type | Possible values |
|---|---|---|---|---|
| code | The response code can have following values:
Click here for more information about Status Codes and Errors | N | string | success, failure |
| details | List of error codes associated with the request. Use these codes for programmatic error handling. | N | array | Refer to this link for detailed error messages |
| campaignId | ID of created campaign | Y | integer | |
| name | Name of the campaign | Y | string | |
| adGroupId | ID of the Ad Group. This will be returned only when code=success | Y | integer | |
| message | High-level summary of the error, when available. | Y | string | |
| errors | Detailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description. | Y | array<object> |
errors array object details
| Field | Description | Optional field/Nullable? | Type | Possible values |
|---|---|---|---|---|
| field | JSON field associated with the error. Omitted if the error applies to the request as a whole. | Y | string | |
| errorType | Machine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic. | N | string | |
| description | Human-readable explanation of the error, including why the request failed and, when possible, how to resolve it | N | string |
Sample Response Success - Create ad group with Keyword targeting (using Expression Targeting Structure)
[ { "code": "success", "details": ["ADGROUP_CREATE_SUCCESS"], "name": "Ad group 1", "campaignId": 1, "adGroupId": 1234 }
]Sample Response Failure - Create ad group with Keyword targeting (using Expression Targeting Structure)
[ { "code": "failure", "details": ["string"], "name": "string1", "campaignId": 1, "message": "string",
"errors": [ { "field": "string", "errorType": "string", "description": "string" } ]
}
]Sample Response Success - Create ad group with Keyword targeting (using Flattened Targeting Structure)
[ { "code": "success", "details": ["ADGROUP_CREATE_SUCCESS"], "name": "Ad group 1", "campaignId": 1, "adGroupId": 1234 }
]Sample Response Failure - Create ad group with Keyword targeting (using Flattened Targeting Structure)
[ { "code": "failure", "details": ["string"], "name": "string1", "campaignId": 1, "message": "string",
"errors": [ { "field": "string", "errorType": "string", "description": "string" } ]
}
]Sample Response Success - Create ad group with Contextual targeting (using Expression Targeting Structure)
[ { "code": "success", "details": ["ADGROUP_CREATE_SUCCESS"], "name": "Ad group 1", "campaignId": 1, "adGroupId": 2345 }
]Sample Response Failure - Create ad group with Contextual targeting (using Expression Targeting Structure)
[ { "code": "failure", "details": ["string"], "name": "string1", "campaignId": 1, "message": "string",
"errors": [ { "field": "string", "errorType": "string", "description": "string" } ]
}
]Sample Response Success - Create ad group with Contextual targeting (using Flattened Targeting Structure)
[ { "code": "success", "details": ["ADGROUP_CREATE_SUCCESS"], "name": "Ad group 1", "campaignId": 1, "adGroupId": 2345 }
]Sample Response Failure - Create ad group with Contextual targeting (using Flattened Targeting Structure)
[ { "code": "failure", "details": ["string"], "name": "string1", "campaignId": 1, "message": "string", "errors": [ { "field": "string", "errorType": "string", "description": "string" } ]
}
]Sample Response Success - Create ad group with audience targeting (using Expression Targeting Structure)
[ { "code": "success", "details": ["ADGROUP_CREATE_SUCCESS"], "name": "Ad group 1", "campaignId": 1, "adGroupId": 3456 }
]Sample Response Failure - Create ad group with audience targeting (using Expression Targeting Structure)
[ { "code": "failure", "details": ["string"], "name": "string1", "campaignId": 1, "message": "string", "errors": [ { "field": "string", "errorType": "string", "description": "string" } ]
}
]Sample Response Success - Create ad group with audience targeting (using Flattened Targeting Structure)
[ { "code": "success", "details": ["ADGROUP_CREATE_SUCCESS"], "name": "Ad group 1", "campaignId": 1, "adGroupId": 3456 }
]Sample Response Failure - Create ad group with audience targeting (using Flattened Targeting Structure)
[ { "code": "failure", "details": ["string"], "name": "string1", "campaignId": 1, "message": "string", "errors": [ { "field": "string", "errorType": "string", "description": "string" } ]
}
]Sample Response Success - Create Ad Group with ROS Targeting (using Expression Targeting Structure)
[ { "code": "success", "details": ["ADGROUP_CREATE_SUCCESS"], "name": "Ad group 1", "campaignId": 1, "adGroupId": 4567 }
]Sample Response Failure - Create Ad Group with ROS Targeting (using Expression Targeting Structure)
[ { "code": "failure", "details": ["string"], "name": "string1", "campaignId": 1, "message": "string", "errors": [ { "field": "string", "errorType": "string", "description": "string" } ]
}
]Sample Response Success - Create Ad Group with ROS Targeting (using Flattened Targeting Structure)
[ { "code": "success", "details": ["ADGROUP_CREATE_SUCCESS"], "name": "Ad group 1", "campaignId": 1, "adGroupId": 4567 }
]Sample Response Failure - Create Ad Group with ROS Targeting (using Flattened Targeting Structure)
[ { "code": "failure", "details": ["string"], "name": "string1", "campaignId": 1, "message": "string", "errors": [ { "field": "string", "errorType": "string", "description": "string" } ]
}
]Sample Response Success - Create Multiple Ad Groups in a Single Call (Expression Targeting Structure)
[ { "code": "success", "details": ["ADGROUP_CREATE_SUCCESS"], "name": "Ad group 1", "campaignId": 1, "adGroupId": 5678 }, { "code": "success", "details": ["ADGROUP_CREATE_SUCCESS"], "name": "Ad group 2", "campaignId": 2, "adGroupId": 6789 }
]Sample Response Failure - Create Multiple Ad Groups in a Single Call (Expression Targeting Structure)
[ { "code": "failure", "details": ["string"], "name": "string1", "campaignId": 1, "message": "string", "errors": [ { "field": "string", "errorType": "string", "description": "string" } ]
}, { "code": "failure", "details": ["string"], "name": "string1", "campaignId": 2, "message": "string", "errors": [ { "field": "string", "errorType": "string", "description": "string" } ]
}
]Sample Response Success - Create Multiple Ad Groups in a Single Call (Flattened Targeting Structure)
[ { "code": "success", "details": ["ADGROUP_CREATE_SUCCESS"], "name": "Ad group 1", "campaignId": 1, "adGroupId": 5678 }, { "code": "success", "details": ["ADGROUP_CREATE_SUCCESS"], "name": "Ad group 2", "campaignId": 2, "adGroupId": 6789 }
]Sample Response Failure - Create Multiple Ad Groups in a Single Call (Flattened Targeting Structure)
[ { "code": "failure", "details": ["string"], "name": "string1", "campaignId": 1, "message": "string", "errors": [ { "field": "string", "errorType": "string", "description": "string" } ]
}, { "code": "failure", "details": ["string"], "name": "string1", "campaignId": 2, "message": "string", "errors": [ { "field": "string", "errorType": "string", "description": "string" } ]
}
]Updated about 2 hours ago
